Bug 176160 - Installer crashes on machine with raid drives
Installer crashes on machine with raid drives
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 14:15 EST by David Bentley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-25 12:44:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Bentley 2005-12-19 14:15:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.10) Gecko/20050811 Fedora/1.7.10-1.1.1.legacy

Description of problem:
Today (19/12/05) I tried a network install using todays boot.iso on one of my
systems that is based on a GIGABYTE GA7ZXR board with its FASTTRACK LITE raid 
controller mirroring 2 drives with Windows 2000 on them. 

I will be trying to install on a seperate drive an the primary ide controller.

Version-Release number of selected component (if applicable):
anaconda-10.90.21-1.i386

How reproducible:
Always

Steps to Reproduce:
1.boot from boot.iso
2.do a normal network graphical ftp install

  

Actual Results:  installer exitts abnormally

Expected Results:  instalation to be a success.

Additional info:

File "/usr/lib/booty/bootloaderInfo.py", line 452 in createDriveList
   dmsets=block.getRaidSets(drives)
File "/usr/lib/python2.4/site-packages/block/__init__.py, line 651, in getRaidSets
   if set.valid:
File "/usr/lib/python2.4/site-packages/block/__init__.py, line 530, in get_valid
   if isinstance(RaidDev, x) or isinstance(RaidSet, x):
TypeError: isinstance() arg 2 must be a class, type, or tuple of classes and types
install exited abnormally
Comment 1 David Bentley 2005-12-25 12:44:29 EST
closing resolved as in 176105

Note You need to log in before you can comment on or make changes to this bug.